git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[infra] Retire openstack/js-openstack-lib repository


Best infra team around, you go to sleep and the problem is solved. :-)
Thanks for the link.

I was meaning these templates:
https://opendev.org/openstack/openstack-zuul-jobs/src/branch/master/zuul.d/project-templates.yaml
which reference nodejs up to 8.

I see zuul is already using the same jobs referenced in those
templates but with node 10 so it presumably works which is great
indeed:
https://opendev.org/zuul/zuul/src/branch/master/.zuul.yaml#L212

The most nodejs-scary part is included in infra docs:
https://docs.openstack.org/infra/manual/creators.html#central-config-exceptions
which reference nodejs4 (exorcists required immediately).

-yoctozepto

Å?r., 8 sty 2020 o 23:03 Clark Boylan <cboylan at sapwetik.org> napisaÅ?(a):
>
> On Wed, Jan 8, 2020, at 1:12 PM, Jeremy Stanley wrote:
> > On 2020-01-08 22:03:48 +0100 (+0100), RadosÅ?aw Piliszek wrote:
> > [...]
> > > I noticed nodejs 8 is already EOL (this year) and it seems to be
> > > the max in infra. I would appreciate any help with getting nodejs
> > > 10 and 12 into infra.
> > [...]
> >
> > Can you be more specific? Zuul will obviously allow you to install
> > anything you like in a job, so presumably you're finding some
> > defaults hard-coded somewhere we should reevaluate?
>
> We even supply a role from zuul-jobs to install nodejs from nodesource for you, https://zuul-ci.org/docs/zuul-jobs/js-roles.html#role-install-nodejs. This can install any nodejs version available from nodesource for the current platform.
>
> Clark
>